Contents

API reference

Number migrations

API reference descriptions are provided in English to preserve the exact published contract.

List Meta asset migration Operations

GET /v1/accounts/{AC}/migrations

Required scope: `migrations:read`.

Parameters

Parameters
NameTypeRequiredDescription
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Authorize a preflighted phone-number migration Operation

POST /v1/accounts/{AC}/migrations

Required scope: `migrations:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (12 fields)
Request body
NameTypeRequiredDescription
caseRefstring (max 128 chars)yes
countryCodestring (pattern ^[0-9]{1,3}$)yes
destinationWabaSidstring (WB… SID)yes
phoneNumberstring (pattern ^[0-9]{4,15}$)yes
reasonstring (max 2000 chars)yes
registrationPinstring (pattern ^[0-9]{6}$)yes
senderSidstring (WA… SID)yes
sourceWabaSidstring (WB… SID)
stepUpTokenstring (max 256 chars)yes
validationobjectyes
validation.contactSidstring (CT… SID)yes
validation.templateSidstring (TM… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Get a Meta asset migration and its Operation history

GET /v1/accounts/{AC}/migrations/{OP}

Required scope: `migrations:read`.

Parameters

Parameters
NameTypeRequiredDescription
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
ACpath · string (AC… SID)yesAccount SID
OPpath · string (OP… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Resume a migration waiting for a corrected registration PIN

POST /v1/accounts/{AC}/migrations/{OP}/registration-pin

Required scope: `migrations:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
OPpath · string (OP… SID)yes
Request body (4 fields)
Request body
NameTypeRequiredDescription
caseRefstring (max 128 chars)yes
reasonstring (max 2000 chars)yes
registrationPinstring (pattern ^[0-9]{6}$)yes
stepUpTokenstring (max 256 chars)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.